package cn.com.tenlion.systembase.pojo.bos.logisticssafe;

/**
 *
 * @ClassName: LogisticsSafeBO
 * @Description: 寄递物流安全管理
 * @Author: CodeFactory
 * @Date: 2021-10-19 14:16:33
 * @Version: 3.0
 **/
public class LogisticsSafeBO {

    private String logisticsSafeId;
    private String licenseNum;
    private String logisticsEnterpriseName;
    private String enterpriseLocation;
    private String enterpriseLocationName;
    private String enterpriseLocationCode;
    private String enterpriseAddress;
    private String enterprisePhone;
    private String enterpriseLinkMan;
    private String enterpriseLinkPhone;
    private String registrationType;
    private String registrationTypeName;
    private String registrationTypeCode;
    private String holdingSituation;
    private String holdingSituationName;
    private String holdingSituationCode;
    private String businessNature;
    private String businessNatureName;
    private String businessNatureCode;
    private String enterpriseType;
    private String enterpriseTypeName;
    private String enterpriseTypeCode;
    private String serviceBrand;
    private Integer employeesCount;
    private Integer videoCount;
    private Integer xMachineCount;
    private Integer isSealing;
    private Integer isRealName;
    private Integer isXCheck;
    private Double longitude;
    private Double latitude;

    public String getLogisticsSafeId() {
        return logisticsSafeId == null ? "" : logisticsSafeId.trim();
    }

    public void setLogisticsSafeId(String logisticsSafeId) {
        this.logisticsSafeId = logisticsSafeId;
    }

    public String getLicenseNum() {
        return licenseNum == null ? "" : licenseNum.trim();
    }

    public void setLicenseNum(String licenseNum) {
        this.licenseNum = licenseNum;
    }

    public String getLogisticsEnterpriseName() {
        return logisticsEnterpriseName == null ? "" : logisticsEnterpriseName.trim();
    }

    public void setLogisticsEnterpriseName(String logisticsEnterpriseName) {
        this.logisticsEnterpriseName = logisticsEnterpriseName;
    }

    public String getEnterpriseLocation() {
        return enterpriseLocation == null ? "" : enterpriseLocation.trim();
    }

    public void setEnterpriseLocation(String enterpriseLocation) {
        this.enterpriseLocation = enterpriseLocation;
    }

    public String getEnterpriseLocationName() {
        return enterpriseLocationName == null ? "" : enterpriseLocationName.trim();
    }

    public void setEnterpriseLocationName(String enterpriseLocationName) {
        this.enterpriseLocationName = enterpriseLocationName;
    }

    public String getEnterpriseLocationCode() {
        return enterpriseLocationCode == null ? "" : enterpriseLocationCode.trim();
    }

    public void setEnterpriseLocationCode(String enterpriseLocationCode) {
        this.enterpriseLocationCode = enterpriseLocationCode;
    }

    public String getEnterpriseAddress() {
        return enterpriseAddress == null ? "" : enterpriseAddress.trim();
    }

    public void setEnterpriseAddress(String enterpriseAddress) {
        this.enterpriseAddress = enterpriseAddress;
    }

    public String getEnterprisePhone() {
        return enterprisePhone == null ? "" : enterprisePhone.trim();
    }

    public void setEnterprisePhone(String enterprisePhone) {
        this.enterprisePhone = enterprisePhone;
    }

    public String getEnterpriseLinkMan() {
        return enterpriseLinkMan == null ? "" : enterpriseLinkMan.trim();
    }

    public void setEnterpriseLinkMan(String enterpriseLinkMan) {
        this.enterpriseLinkMan = enterpriseLinkMan;
    }

    public String getEnterpriseLinkPhone() {
        return enterpriseLinkPhone == null ? "" : enterpriseLinkPhone.trim();
    }

    public void setEnterpriseLinkPhone(String enterpriseLinkPhone) {
        this.enterpriseLinkPhone = enterpriseLinkPhone;
    }

    public String getRegistrationType() {
        return registrationType == null ? "" : registrationType.trim();
    }

    public void setRegistrationType(String registrationType) {
        this.registrationType = registrationType;
    }

    public String getRegistrationTypeName() {
        return registrationTypeName == null ? "" : registrationTypeName.trim();
    }

    public void setRegistrationTypeName(String registrationTypeName) {
        this.registrationTypeName = registrationTypeName;
    }

    public String getRegistrationTypeCode() {
        return registrationTypeCode == null ? "" : registrationTypeCode.trim();
    }

    public void setRegistrationTypeCode(String registrationTypeCode) {
        this.registrationTypeCode = registrationTypeCode;
    }

    public String getHoldingSituation() {
        return holdingSituation == null ? "" : holdingSituation.trim();
    }

    public void setHoldingSituation(String holdingSituation) {
        this.holdingSituation = holdingSituation;
    }

    public String getHoldingSituationName() {
        return holdingSituationName == null ? "" : holdingSituationName.trim();
    }

    public void setHoldingSituationName(String holdingSituationName) {
        this.holdingSituationName = holdingSituationName;
    }

    public String getHoldingSituationCode() {
        return holdingSituationCode == null ? "" : holdingSituationCode.trim();
    }

    public void setHoldingSituationCode(String holdingSituationCode) {
        this.holdingSituationCode = holdingSituationCode;
    }

    public String getBusinessNature() {
        return businessNature == null ? "" : businessNature.trim();
    }

    public void setBusinessNature(String businessNature) {
        this.businessNature = businessNature;
    }

    public String getBusinessNatureName() {
        return businessNatureName == null ? "" : businessNatureName.trim();
    }

    public void setBusinessNatureName(String businessNatureName) {
        this.businessNatureName = businessNatureName;
    }

    public String getBusinessNatureCode() {
        return businessNatureCode == null ? "" : businessNatureCode.trim();
    }

    public void setBusinessNatureCode(String businessNatureCode) {
        this.businessNatureCode = businessNatureCode;
    }

    public String getEnterpriseType() {
        return enterpriseType == null ? "" : enterpriseType.trim();
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public String getEnterpriseTypeName() {
        return enterpriseTypeName == null ? "" : enterpriseTypeName.trim();
    }

    public void setEnterpriseTypeName(String enterpriseTypeName) {
        this.enterpriseTypeName = enterpriseTypeName;
    }

    public String getEnterpriseTypeCode() {
        return enterpriseTypeCode == null ? "" : enterpriseTypeCode.trim();
    }

    public void setEnterpriseTypeCode(String enterpriseTypeCode) {
        this.enterpriseTypeCode = enterpriseTypeCode;
    }

    public String getServiceBrand() {
        return serviceBrand == null ? "" : serviceBrand.trim();
    }

    public void setServiceBrand(String serviceBrand) {
        this.serviceBrand = serviceBrand;
    }

    public Integer getEmployeesCount() {
        return employeesCount == null ? 0 : employeesCount;
    }

    public void setEmployeesCount(Integer employeesCount) {
        this.employeesCount = employeesCount;
    }

    public Integer getVideoCount() {
        return videoCount == null ? 0 : videoCount;
    }

    public void setVideoCount(Integer videoCount) {
        this.videoCount = videoCount;
    }

    public Integer getXMachineCount() {
        return xMachineCount == null ? 0 : xMachineCount;
    }

    public void setXMachineCount(Integer xMachineCount) {
        this.xMachineCount = xMachineCount;
    }

    public Integer getIsSealing() {
        return isSealing == null ? 0 : isSealing;
    }

    public void setIsSealing(Integer isSealing) {
        this.isSealing = isSealing;
    }

    public Integer getIsRealName() {
        return isRealName == null ? 0 : isRealName;
    }

    public void setIsRealName(Integer isRealName) {
        this.isRealName = isRealName;
    }

    public Integer getIsXCheck() {
        return isXCheck == null ? 0 : isXCheck;
    }

    public void setIsXCheck(Integer isXCheck) {
        this.isXCheck = isXCheck;
    }

    public Double getLongitude() {
        return longitude == null ? 0D : longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude == null ? 0D : latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

}
